Import-Module StarWindX

$server = New-SWServer -host 127.0.0.1 -port 3261 -user root -password starwind

try
{
    $server.Connect()
	
	$deviceName = "VTL17"
	
	$device = Get-Device $server -name $deviceName
    
	if( !$device )
	{
		Write-Host "Device '$($deviceName)' not found" -foreground red
		return
	}


	foreach($tape in $device.Tapes)
	{
		write-host "Tape:"
		$tape
	}
    	
	foreach($slot in $device.Slots)
	{
		write-host "Slot:"
		$slot
        

	}

    
}
catch
{
    Write-Host $_ -foreground red
}
finally
{
	$server.Disconnect()
}
