Import-Module StarWindX

$server = New-SWServer -host 127.0.0.1 -port 3261 -user root -password starwind

try
{
	$server.Connect()
	
	$deviceName = "VTL17"
	
	$device = Get-Device $server -name $deviceName
    
	if( !$device )
	{
		Write-Host "Device '$($deviceName)' not found" -foreground red
		return
	}

	$tapeBarcode = "SW88V001"
	$slotName = "Slot_1001"
	

	write-host "Inserting tape..." -nonewline
	$device.InsertTape($tapeBarcode, $slotName);
	write-host "Completed!" -foreground yellow

    
}
catch
{
    Write-Host $_ -foreground red
}
finally
{
	$server.Disconnect()
}
